- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# BrushConfiguration Class Reference

Search for all occurrences

## Detailed Description

This class can be used to define configurations for different brush behaviours of the same class.

Definition at line 25 of file brush.h.

`#include <brush.h>`

List of all members.

## Public Types
enum | PredefinedCategory { PaintTools, SculptTools, PoseTools, SelectTools }
## Public Member Functions
| BrushConfiguration ()
| Constructor.
| BrushConfiguration (const ClassDesc *pClass, unsigned int iID, const QString &sStringID, const QString &sDisplayName, const QString &sCategory, const QString &sCategoryTr, const QString &sToolTip)
| BrushConfiguration (const ClassDesc *pClass, unsigned int iID, const QString &sStringID, const QString &sDisplayName, PredefinedCategory nCategory, const QString &sToolTip)
| ~BrushConfiguration ()
unsigned int | ID (void) const
| Returns the unique id of the configuration.
virtual QString | Name (void) const
| Deprecated.
virtual QString | StringID (void) const
| Returns the string id of the configuration.
virtual QString | DisplayName (void) const
| Returns the display name of the configuration.
virtual void | SetDisplayName (const QString &sDisplayName)
| Sets the display name of the configuration.
virtual QString | ToolTip (void) const
| Returns the tooltip for the configuration.
virtual const ClassDesc * | OperationClass (void) const
| Returns the operation class belonging to the configuration.
virtual QString | Category () const
| Returns the category title that groups configurations together.
virtual QString | DisplayCategory () const
| Returns the category title that groups configurations together.
virtual void | Serialize (Stream &s)
| Serializes the configuration to the given stream.

## Member Enumeration Documentation

enum PredefinedCategory

Search for all occurrences

Enumerator:

  PaintTools | Search for all occurrences
  SculptTools | Search for all occurrences
  PoseTools | Search for all occurrences
  SelectTools | Search for all occurrences

Definition at line 28 of file brush.h.

        {
            PaintTools,
            SculptTools,
            PoseTools,
            SelectTools
        } PredefinedCategory;

## Constructor & Destructor Documentation

BrushConfiguration | ( |  | ) |

Constructor.

BrushConfiguration | ( | const ClassDesc * | pClass,
|  | unsigned int | iID,
|  | const QString & | sStringID,
|  | const QString & | sDisplayName,
|  | const QString & | sCategory,
|  | const QString & | sCategoryTr,
|  | const QString & | sToolTip
| ) |  |

BrushConfiguration | ( | const ClassDesc * | pClass,
|  | unsigned int | iID,
|  | const QString & | sStringID,
|  | const QString & | sDisplayName,
|  | PredefinedCategory | nCategory,
|  | const QString & | sToolTip
| ) |  |

~BrushConfiguration | ( |  | ) |

## Member Function Documentation

unsigned int ID | ( | void |  | ) | const

Search for all occurrences

Returns the unique id of the configuration.

virtual QString Name | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Deprecated.

Call StringID() or DisplayName() instead. Returns the name of the configuration.

virtual QString StringID | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns the string id of the configuration.

virtual QString DisplayName | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns the display name of the configuration.

virtual void SetDisplayName | ( | const QString & | sDisplayName | ) | `[virtual]`

Search for all occurrences

Sets the display name of the configuration.

virtual QString ToolTip | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns the tooltip for the configuration.

virtual const ClassDesc* OperationClass | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns the operation class belonging to the configuration.

virtual QString Category | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the category title that groups configurations together.

virtual QString DisplayCategory | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the category title that groups configurations together.

virtual void Serialize | ( | Stream & | s | ) | `[virtual]`

Search for all occurrences

Serializes the configuration to the given stream.

The documentation for this class was generated from the following file:

- Mudbox/brush.h

BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration
BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration BrushConfiguration